.cafePage {
  position: relative;

  &__imageWrapper {
    min-height: 120px;
    max-height: 260px;
    aspect-ratio: 2 / 1;
    position: relative;

    >.cafePage__badges {
        position: absolute;
        bottom: 16px;
        padding: 8px 8px;
        width: 100%;
    }
  }

  &__badges {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;

    > div {
        display: flex;
        gap: 4px;
    }
  }

  &__mapBtn {
    padding: 0; 
    width: 48px;
    height: 48px;
    border-radius: 50%;
  }

  &__badge {
    img {
        height: 16px;
        width: 16px;
    }
  }

  &__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  &__container {
    position: relative;
    background: #fff;
    min-height: calc(100vh - 50px - 54px - (100vw / 2) + 16px);
    border-radius: 16px 16px 0 0;
    padding: 16px;
    margin-top: -16px;
    margin-bottom: 50px;
  }

  &__orderTake {
    display: flex;
    overflow: hidden;
    border-radius: 32px;

    >* {
      flex: 1;
      border-radius: 0 !important;
      font-weight: 400;
      font-size: 16px;
      line-height: 21px;
      letter-spacing: 0.15px;
      height: 45px;
    }
  }

  &__items {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    margin-top: 16px;

    >* {
      width: calc((100% - 8px) / 2);
      flex-grow: 1;
    }
  }

  h2 {
    font-weight: 400;
    font-size: 24px;
    line-height: 28px;
  }

  &__cartInfoWrapper {
    display: flex;
    flex-direction: column;
    margin-top: 16px;
  }

  &__cartInfo {
    display: flex;
    flex-direction: column;
    gap: 2px;
    padding-bottom: 8px;
    margin-bottom: 8px;
    border-bottom: 1px solid #eee;

    &:last-child {
      margin-bottom: 0;
    }
  }

  &__cartInfoLabel {
    font-weight: 400;
    font-size: 15px;
    line-height: 20px;
    letter-spacing: 0.12px;
    color: #444444;
  }

  &__cartInfoValue {
    font-weight: 400;
    font-size: 15px;
    line-height: 20px;
    letter-spacing: 0.12px;
    color: #2E78E8;

    display: flex;
    align-items: center;
    gap: 8px;
    position: relative;
  }

  &__cartInfoValueDrop {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 1px;

    > * {
      color: #444;
      width: calc(100% - 8px);
    }
  }

  &__cartItems {
    display: flex;
    flex-direction: column;
    gap: 12px;
    margin-top: 16px;
  }

  &__cartActions {
    margin-top: 4px;
    display: flex;
    justify-content: center;

    >* {
      flex: 1;
      font-size: 16px;
      height: 40px;
      border-radius: 50px;
    }
  }

  &__cartTotal {
    display: flex;
    gap: 4px;
    justify-content: flex-end;
    margin-top: 20px;
    font-size: 16px;

    > span{
      &:last-child {
        color: #2E78E8;
      }
    }
  }

  &__ordersList {
    display: flex;
    flex-direction: column;
    gap: 12px;
    padding: 16px;
    margin-bottom: 50px;
  }
}